# Basic Usage

This section will guide you through the basic usage of the `flutter_ping_wire` package. First, you need to configure your config file. The config file is a Yaml file that contains the configuration for your application. Here is an example of a config file:

```yaml
clients:
  first_client:
    description: "This is simple client"
    url: "https://b2de8312-cf06-40dd-81f6-116b761b66eb.mock.pstmn.io"
    headers:
      Authorization: "Bearer token"
loaders:
  simple:
    client: "first_client"
    endpoint: "/simple"
    method: "GET"
```

Next, you need to create a Dart file that will bootstrap your application. Here is an example of a Dart file that bootstraps your application:

```
import 'package:flutter/material.dart';
import 'package:flutter_ping/flutter_ping.dart';

void main() async{
  WidgetsFlutterBinding.ensureInitialized();

  final application = Application.getInstance();


  await WireBootstrap(application).runApp("simple");
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flutterping.com/the-basics/basic-usage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
